# 多肽和蛋白的化学位移计算

** 这个项目的主要目的是辅助核磁谱图归属，特别是直接从系列可以预测结构，然后结构预测化学位移，归属HSQC谱图的指认 **

1. 以下这篇文章是说用QM来计算生物大分子的化学位移，Using quantum chemistry to estimate chemical shifts in biomolecules， 他们还开发一个[AFNMR](https://github.com/dacase/afnmr)软件来实现。我的想法是通过这个来计算多肽的化学位移，来辅助多肽的核磁谱图指认。当然如果计算运行的情况下，也是可以试试蛋白的计算。

2. 接下来一片比较新的预测蛋白化学位移的文献 Accurate prediction of chemical shifts for aqueous protein structure on “Real World” data。我没有搭建起来，可以试试。也提供的源码，https://github.com/THGLab/CSpred 目前好像是PDB格式问题，不知道，就是不给出结果。还得试试。

当然还有其他的预测软件，比如SPARTA+https://spin.niddk.nih.gov/bax/software/SPARTA+/， SHIFTX2， PROSHIFT，CamShift。

# 小分子化学位移计算


### 构象搜索

SDEGen: Learning to Evolve Molecular Conformations from Thermodynamic Noise for Conformation Generation https://pubs.rsc.org/en/content/articlelanding/2023/sc/d2sc04429c 采用随机微分方程模拟分子构象，联合概率深度学习的DDIM模型，提高效率和精度。可以用该模型和科音的molclus模型，还有XTB模型对比。我这边主要是要用来计算核磁化学位移的。https://github.com/HaotianZhangAI4Science/SDEGen 该文章提供源代码，可以后面试着用用。

- XTBDFT: Automated workflow for conformer searching of minima and transition states powered by extended tight binding and density functional theory https://github.com/sibo/xtbdft
- CREST https://github.com/grimme-lab/crest
- molclus http://www.keinsci.com/research/molclus.html


### 自动化计算核磁共振化学位移
- An automated framework for high-throughput predictions of NMR chemical shifts within liquid solutions 小分子的化学位移预测 
- Elucidating Structures of Complex Organic Compounds Using a Machine Learning Model Based on the 13C NMR Chemical Shifts 这一篇也不错，https://github.com/fenglb/SVM-M

### 量化自动化计算核磁共振全谱

https://github.com/grimme-lab/enso Fully Automated Quantum-Chemistry-Based Computation of Spin–Spin-Coupled Nuclear Magnetic Resonance Spectra
![](https://onlinelibrary.wiley.com/cms/asset/e2011bb9-a812-412f-8be0-d32635c47da8/anie201708266-fig-0006-m.png)





